Debian Bug report logs - #349437
mesa - FTBFS: error: 'IEEE_ONE' undeclared

version graph

Package: mesa; Maintainer for mesa is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Mon, 23 Jan 2006 01:03:01 UTC

Severity: serious

Tags: fixed

Found in version mesa/6.3.2-2.1

Fixed in version 6.4.1-0.3

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>:
Bug#349437; Package mesa. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Mesa package maintainers <pkg-mesa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: mesa - FTBFS: error: 'IEEE_ONE' undeclared
Date: Mon, 23 Jan 2006 01:36:34 +0100
Package: mesa
Version: 6.3.2-2.1
Severity: important

There was an error while trying to autobuild your package:

> Automatic build of mesa_6.3.2-2.1 on debian-31 by sbuild/s390 85
[...]
> cc -c -I. -I../../../../../src/mesa/drivers/dri/common -Iserver -I../../../../../include -I../../../../../include/GL/internal -I../../../../../src/mesa -I../../../../../src/mesa/main -I../../../../../src/mesa/glapi -I../../../../../src/mesa/math -I../../../../../src/mesa/transform -I../../../../../src/mesa/shader -I../../../../../src/mesa/swrast -I../../../../../src/mesa/swrast_setup -I../../../../../src/egl/main -I../../../../../src/egl/drivers/dri  `pkg-config --cflags libdrm` -D_POSIX_SOURCE -D_POSIX_C_SOURCE=199309L -D_SVID_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DUSE_XSHM -DPTHREADS -I/usr/X11R6/include -DPTHREADS -DUSE_EXTERNAL_DXTN_LIB=1 -DIN_DRI_DRIVER -DGLX_DIRECT_RENDERING -DHAVE_ALIAS -DDEFAULT_DRIVER_DIR=\"/usr/lib/dri\" -ansi -pedantic -Wall -fPIC -std=c99 -O2  i830_state.c -o i830_state.o
> i830_state.c: In function 'i830BlendColor':
> i830_state.c:353: error: 'IEEE_ONE' undeclared (first use in this function)
> i830_state.c:353: error: (Each undeclared identifier is reported only once
> i830_state.c:353: error: for each function it appears in.)
> make[5]: *** [i830_state.o] Error 1
> make[5]: Leaving directory `/build/buildd/mesa-6.3.2/build/gl-debian-dri/src/mesa/drivers/dri/i830'
> make[4]: *** [subdirs] Error 1
> make[4]: Leaving directory `/build/buildd/mesa-6.3.2/build/gl-debian-dri/src/mesa/drivers/dri'

Bastian



Tags added: fixed Request was from David Nusinow <dnusinow@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 6.4.1-0.3, send any further explanations to Bastian Blank <waldi@debian.org> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#349437. Full text and rfc822 format available.

Message #14 received at 349437-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 349437-submitter@bugs.debian.org
Subject: Debian bug #349437
Date: Thu, 26 Oct 2006 20:33:33 +0100
Hi,

You should have recently received (or will soon receive) an e-mail
telling you that I've closed Debian bug #349437 in the mesa 
package, which you reported.

Due to the fact that the package was uploaded by someone who does not
normally do so, the bug was marked as "fixed" rather than closed.

Debian's bug tracking system now allows for this information to be
recorded in a more useful manner, enabling these bugs to be closed.

Due to the volume of bugs affected by this change, we are unfortunately
not sending individualized explanations for each bug. If you have
questions about the fix for your particular bug or about this email,
please contact me directly or follow up to the bug report in the Debian
BTS.

[It's possible you may receive multiple messages stating that the bug
was fixed in several different versions of the package. There are two
common reasons for this:

  - the bug was fixed in one version but subsequently found to exist
    in a later version

  - the bug existed in multiple distributions (for instance, "unstable"
    and "stable") and was thus fixed in a separate upload to each
    distribution
]

Regards,

Adam



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:16:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:42:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.